<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbUserSkin" Enable="1">
		<Plugin ID="GamingMouse" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingForce"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbSkinTextColor" Enable="1">
		<Plugin ID="GM::BasicUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::BasicUI"/>
			<ExtraConfig>
				<Exclude>ID_BAS_PanelLabel</Exclude>
				<Exclude>GM::ID_BAS_DisableColor</Exclude>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::AdvancedUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::AdvancedUI"/>
			<ExtraConfig>
				<Exclude>ID_ADV_PanelLabel</Exclude>
			</ExtraConfig>
		</Plugin>
			<Plugin ID="GM::LightingUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::LightingUI"/>
		</Plugin>
		<Plugin ID="GM::GamingModeUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::GamingModeUI"/>
			<ExtraConfig>
				<Exclude>GM::ID_GAMEMODE_ModeOffColor</Exclude>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GM::MacroUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MacroUI"/>
		</Plugin>
		<Plugin ID="GM::SkinDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::SkinDialog"/>
		</Plugin>
		<Plugin ID="GM::ProfileDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::ProfileDialog"/>
		</Plugin>
		<Plugin ID="GM::MacroKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MacroKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::WindowsKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::WindowsKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::WindowsFunctionDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::WindowsFunctionDialog"/>
		</Plugin>	
		<Plugin ID="GM::MediaKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MediaKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::StartProcessDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::StartProcessDialog"/>
		</Plugin>
		<!--Plugin ID="GM::SwitchProfileDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::SwitchProfileDialog"/>
		</Plugin-->
		<Plugin ID="GM::MouseFunctionDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MouseFunctionDialog"/>
		</Plugin>
		<Plugin ID="GM::SingleKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::SingleKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::ComboKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::ComboKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::MacroEditDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MacroEditDialog"/>
		</Plugin>
		<Plugin ID="GM::DelayTimeDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::DelayTimeDialog"/>
		</Plugin>
		<Plugin ID="GM::MouseKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MouseKeyDialog"/>
		</Plugin>	
		<Plugin ID="GM::RenameDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::RenameDialog"/>
		</Plugin>
		<Plugin ID="GM::DPIKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::DPIKeyDialog"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbSkinLanguage" Enable="1">
		<Plugin ID="GM::BasicUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::BasicUI"/>
		</Plugin>
		<Plugin ID="GM::AdvancedUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::AdvancedUI"/>
		</Plugin>
		<Plugin ID="GM::LightingUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::LightingUI"/>
		</Plugin>
		<Plugin ID="GM::GamingModeUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::GamingModeUI"/>
		</Plugin>
		<Plugin ID="GM::SkinDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::SkinDialog"/>
		</Plugin>
		<Plugin ID="GM::MacroUI" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::MacroUI"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MacroUI"/>
		</Plugin>
		<Plugin ID="GM::ProfileDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::ProfileDialog"/>
		</Plugin>
		<Plugin ID="GM::MacroKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MacroKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::WindowsKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::WindowsKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::WindowsFunctionDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::WindowsFunctionDialog"/>
		</Plugin>
		<Plugin ID="GM::MediaKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MediaKeyDialog"/>
		</Plugin>
		<!--Plugin ID="GM::SwitchProfileDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::SwitchProfileDialog"/>
		</Plugin-->
		<Plugin ID="GM::StartProcessDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::StartProcessDialog"/>
		</Plugin>
		<Plugin ID="GM::MouseFunctionDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MouseFunctionDialog"/>
		</Plugin>
		<Plugin ID="GM::SingleKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::SingleKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::ComboKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::ComboKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::ProfileDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::ProfileDialog"/>
		</Plugin>
		<Plugin ID="GM::MacroEditDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MacroEditDialog"/>
		</Plugin>
		<Plugin ID="GM::DelayTimeDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::DelayTimeDialog"/>
		</Plugin>
		<Plugin ID="GM::MouseKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MouseKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::FireKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::FireKeyDialog"/>
		</Plugin>
		<Plugin ID="GM::RenameDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::RenameDialog"/>
		</Plugin>
		<Plugin ID="GM::DPIKeyDialog" Bundle="GamingMouseSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingMouseTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::DPIKeyDialog"/>
		</Plugin>
	</ExtensionPoint>

</File>
